--- chrome/plugin/webplugin_proxy.cc
+++ chrome/plugin/webplugin_proxy.cc
@@ -76,7 +76,7 @@ void WebPluginProxy::WillDestroyWindow(gfx::PluginWindowHandle window) {
   PluginThread::current()->Send(
       new PluginProcessHostMsg_PluginWindowDestroyed(
           window, ::GetParent(window)));
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   // Nothing to do.
 #else
   NOTIMPLEMENTED();
@@ -363,7 +363,7 @@ bool WebPluginProxy::SetDropEffect(struct NPObject* event, int effect) {
 }
 
 void WebPluginProxy::Paint(const gfx::Rect& rect) {
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(USE_X11)
   if (!windowless_canvas_.get())
     return;
 #elif defined(OS_MACOSX)
@@ -375,7 +375,7 @@ void WebPluginProxy::Paint(const gfx::Rect& rect) {
   // end up with the old values.
   gfx::Rect offset_rect = rect;
   offset_rect.Offset(delegate_->GetRect().origin());
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(OS_NIX)
   windowless_canvas_->save();
 
   // The given clip rect is relative to the plugin coordinate system.
@@ -528,7 +528,7 @@ void WebPluginProxy::SetWindowlessBuffer(
       windowless_context_);
 }
 
-#elif defined(OS_LINUX)
+#elif defined (USE_X11)
 
 void WebPluginProxy::SetWindowlessBuffer(
     const TransportDIB::Handle& windowless_buffer,
diff --git chrome/plugin/webplugin_proxy.h chrome/plugin/webplugin_proxy.h
index fbf88f6..cdf9a69 100644
